<?php
$string = 'Jak się masz?';
if (str_contains($string, 'się')) {
    print 'OK (zawiera się)'.PHP_EOL;
}
if (str_starts_with($string, 'Jak')) {
    print 'OK (rozpoczyna się)'.PHP_EOL;
}
if (str_ends_with($string, 'masz?')) {
    print 'OK (kończy się)'.PHP_EOL;
}